### Method

# Snapd App get_common_id

since: 1.41

#### Declaration [src]

    const gchar*
    snapd_app_get_common_id (
      SnapdApp* app
    )

#### Description [src]

Get the common ID associated with this app.

Available since: 1.41

Gets property | `Snapd.App:common-id`

#### Return value

Type: `const gchar*`

An ID or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.